<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.111.3.25.10.5
Name: BatchWrapper Responding Labuitslagen obsoleet
Description: De Batchantwoord-wrapper is een specifiek type transmission wrapper bedoeld voor het bundelen van willekeurig type (combinatie van) interacties in antwoord op een (vraag)bericht. Voeg onder het element  hl7:sender  willekeurige combinatie van interacties toe.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824">
   <title>BatchWrapper Responding Labuitslagen obsoleet</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.25.10.5
Context: /
Item: (MCCI_IN200101)
-->

   <rule context="/" id="d20e2864-false-d16817e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]) &gt;= 1">(MCCI_IN200101): element hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]) &lt;= 1">(MCCI_IN200101): element hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.25.10.5
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]
Item: (MCCI_IN200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]"
         id="d20e2924-false-d16867e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(MCCI_IN200101): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(MCCI_IN200101): element hl7:id[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:creationTime[not(@nullFlavor)]) &gt;= 1">(MCCI_IN200101): element hl7:creationTime[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:creationTime[not(@nullFlavor)]) &lt;= 1">(MCCI_IN200101): element hl7:creationTime[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:versionCode[@code = 'NICTIZEd2005-Okt']) &gt;= 1">(MCCI_IN200101): element hl7:versionCode[@code = 'NICTIZEd2005-Okt'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:versionCode[@code = 'NICTIZEd2005-Okt']) &lt;= 1">(MCCI_IN200101): element hl7:versionCode[@code = 'NICTIZEd2005-Okt'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']) &gt;= 1">(MCCI_IN200101): element hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']) &lt;= 1">(MCCI_IN200101): element hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:profileId[@root = '2.16.840.1.113883.2.4.3.11.1'][@extension = '810']) &gt;= 1">(MCCI_IN200101): element hl7:profileId[@root = '2.16.840.1.113883.2.4.3.11.1'][@extension = '810'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:profileId[@root = '2.16.840.1.113883.2.4.3.11.1'][@extension = '810']) &lt;= 1">(MCCI_IN200101): element hl7:profileId[@root = '2.16.840.1.113883.2.4.3.11.1'][@extension = '810'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:referenceControlId) = 0">(MCCI_IN200101): element hl7:referenceControlId MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:name) = 0">(MCCI_IN200101): element hl7:name MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:batchComment) = 0">(MCCI_IN200101): element hl7:batchComment MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:transmissionQuantity[not(@nullFlavor)]) &gt;= 1">(MCCI_IN200101): element hl7:transmissionQuantity[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:transmissionQuantity[not(@nullFlavor)]) &lt;= 1">(MCCI_IN200101): element hl7:transmissionQuantity[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:batchTotalNumber) = 0">(MCCI_IN200101): element hl7:batchTotalNumber MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:acknowledgement[not(@nullFlavor)][@typeCode][hl7:targetTransmission]) &gt;= 1">(MCCI_IN200101): element hl7:acknowledgement[not(@nullFlavor)][@typeCode][hl7:targetTransmission] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:acknowledgement[not(@nullFlavor)][@typeCode][hl7:targetTransmission]) &lt;= 1">(MCCI_IN200101): element hl7:acknowledgement[not(@nullFlavor)][@typeCode][hl7:targetTransmission] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:receiver[not(@nullFlavor)][hl7:device]) &gt;= 1">(MCCI_IN200101): element hl7:receiver[not(@nullFlavor)][hl7:device] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:receiver[not(@nullFlavor)][hl7:device]) &lt;= 1">(MCCI_IN200101): element hl7:receiver[not(@nullFlavor)][hl7:device] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:sender[not(@nullFlavor)][hl7:device]) &gt;= 1">(MCCI_IN200101): element hl7:sender[not(@nullFlavor)][hl7:device] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.111.3.25.10.5-2019-07-04T133824.html"
              test="count(hl7:sender[not(@nullFlavor)][hl7:device]) &lt;= 1">(MCCI_IN200101): element hl7:sender[not(@nullFlavor)][hl7:device] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:id[not(@nullFlavor)]
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:id[not(@nullFlavor)]"
         id="d16863e79-false-d17012e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MCCI_MT200101): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="@root and @extension">(MCCI_MT200101): Batch: id element mist root of extension</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:creationTime[not(@nullFlavor)]
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:creationTime[not(@nullFlavor)]"
         id="d16863e88-false-d17022e0">
      <extends rule="TS.DATETIME.MIN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MCCI_MT200101): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="not(*)">(MCCI_MT200101): <value-of select="local-name()"/> met datatype TS.DATETIME.MIN, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:versionCode[@code = 'NICTIZEd2005-Okt']
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:versionCode[@code = 'NICTIZEd2005-Okt']"
         id="d16863e97-false-d17036e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MCCI_MT200101): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">(MCCI_MT200101): de elementwaarde MOET een zijn van 'code 'NICTIZEd2005-Okt''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']"
         id="d16863e106-false-d17053e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MCCI_MT200101): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="string(@root) = ('2.16.840.1.113883.1.6')">(MCCI_MT200101): de waarde van root MOET '2.16.840.1.113883.1.6' zijn. Gevonden: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="string(@extension) = ('MCCI_IN200101')">(MCCI_MT200101): de waarde van extension MOET 'MCCI_IN200101' zijn. Gevonden: "<value-of select="@extension"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(MCCI_MT200101): attribuut @extension MOET datatype 'st' hebben  - '<value-of select="@extension"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:profileId[@root = '2.16.840.1.113883.2.4.3.11.1'][@extension = '810']
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:profileId[@root = '2.16.840.1.113883.2.4.3.11.1'][@extension = '810']"
         id="d16863e116-false-d17075e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MCCI_MT200101): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.1')">(MCCI_MT200101): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.1' zijn. Gevonden: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="string(@extension) = ('810')">(MCCI_MT200101): de waarde van extension MOET '810' zijn. Gevonden: "<value-of select="@extension"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(MCCI_MT200101): attribuut @extension MOET datatype 'st' hebben  - '<value-of select="@extension"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:referenceControlId
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:referenceControlId"
         id="d16863e126-false-d17096e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MCCI_MT200101): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:name
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:name"
         id="d16863e132-false-d17106e0">
      <extends rule="SC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MCCI_MT200101): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:batchComment
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:batchComment"
         id="d16863e138-false-d17116e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MCCI_MT200101): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:transmissionQuantity[not(@nullFlavor)]
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:transmissionQuantity[not(@nullFlavor)]"
         id="d16863e144-false-d17126e0">
      <extends rule="INT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MCCI_MT200101): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:INT" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="not(@value) or matches(@value, '^-?[1-9]\d*$|^+?\d*$')">(MCCI_MT200101): @value is geen geldig INT getal <value-of select="@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:batchTotalNumber
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:batchTotalNumber"
         id="d16863e151-false-d17139e0">
      <extends rule="INT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MCCI_MT200101): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:INT" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="not(@value) or matches(@value, '^-?[1-9]\d*$|^+?\d*$')">(MCCI_MT200101): @value is geen geldig INT getal <value-of select="@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:acknowledgement[not(@nullFlavor)][@typeCode][hl7:targetTransmission]
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:acknowledgement[not(@nullFlavor)][@typeCode][hl7:targetTransmission]"
         id="d16863e157-false-d17152e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="@typeCode">(MCCI_MT200101): attribute @typeCode MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.8-2011-07-26T000000.xml')/*/valueSet/conceptList/concept/@code))])">(MCCI_MT200101): de waarde van typeCode MOET worden gekozen uit waardelijst '2.16.840.1.113883.1.11.8' AcknowledgementType (2011-07-26T00:00:00).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="count(hl7:targetTransmission[not(@nullFlavor)]) &gt;= 1">(MCCI_MT200101): element hl7:targetTransmission[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="count(hl7:targetTransmission[not(@nullFlavor)]) &lt;= 1">(MCCI_MT200101): element hl7:targetTransmission[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:acknowledgement[not(@nullFlavor)][@typeCode][hl7:targetTransmission]/hl7:acknowledgementDetail
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:acknowledgement[not(@nullFlavor)][@typeCode][hl7:targetTransmission]/hl7:acknowledgementDetail"
         id="d16863e179-false-d17185e0">
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19358-2011-07-26T000000.xml')/*/valueSet/conceptList/concept/@code))])">(MCCI_MT200101): de waarde van typeCode MOET worden gekozen uit waardelijst '2.16.840.1.113883.1.11.19358' AcknowledgementDetailType (2011-07-26T00:00:00).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="count(hl7:code) &lt;= 1">(MCCI_MT200101): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="count(hl7:text) &lt;= 1">(MCCI_MT200101): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:acknowledgement[not(@nullFlavor)][@typeCode][hl7:targetTransmission]/hl7:acknowledgementDetail/hl7:code
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:acknowledgement[not(@nullFlavor)][@typeCode][hl7:targetTransmission]/hl7:acknowledgementDetail/hl7:code"
         id="d16863e189-false-d17218e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MCCI_MT200101): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:acknowledgement[not(@nullFlavor)][@typeCode][hl7:targetTransmission]/hl7:acknowledgementDetail/hl7:text
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:acknowledgement[not(@nullFlavor)][@typeCode][hl7:targetTransmission]/hl7:acknowledgementDetail/hl7:text"
         id="d16863e195-false-d17228e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MCCI_MT200101): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:acknowledgement[not(@nullFlavor)][@typeCode][hl7:targetTransmission]/hl7:acknowledgementDetail/hl7:location
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:acknowledgement[not(@nullFlavor)][@typeCode][hl7:targetTransmission]/hl7:acknowledgementDetail/hl7:location"
         id="d16863e201-false-d17238e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MCCI_MT200101): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:acknowledgement[not(@nullFlavor)][@typeCode][hl7:targetTransmission]/hl7:targetTransmission[not(@nullFlavor)]
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:acknowledgement[not(@nullFlavor)][@typeCode][hl7:targetTransmission]/hl7:targetTransmission[not(@nullFlavor)]"
         id="d16863e208-false-d17248e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(MCCI_MT200101): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(MCCI_MT200101): element hl7:id[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:acknowledgement[not(@nullFlavor)][@typeCode][hl7:targetTransmission]/hl7:targetTransmission[not(@nullFlavor)]/hl7:id[not(@nullFlavor)]
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:acknowledgement[not(@nullFlavor)][@typeCode][hl7:targetTransmission]/hl7:targetTransmission[not(@nullFlavor)]/hl7:id[not(@nullFlavor)]"
         id="d16863e213-false-d17264e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MCCI_MT200101): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:receiver[not(@nullFlavor)][hl7:device]
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:receiver[not(@nullFlavor)][hl7:device]"
         id="d16863e221-false-d17296e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="string(@typeCode) = ('RCV') or not(@typeCode)">(MCCI_MT200101): de waarde van typeCode MOET 'RCV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.102.10.104
Context: /hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:sender[not(@nullFlavor)][hl7:device]
Item: (MCCI_MT200101)
-->

   <rule context="/hl7:MCCI_IN200101[hl7:interactionId[@root = '2.16.840.1.113883.1.6'][@extension = 'MCCI_IN200101']]/hl7:sender[not(@nullFlavor)][hl7:device]"
         id="d16863e229-false-d17329e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/lu-vzvz-html-20190822T141553/tmp-2.16.840.1.113883.2.4.3.11.60.102.10.104-2014-07-15T000000.html"
              test="string(@typeCode) = ('SND') or not(@typeCode)">(MCCI_MT200101): de waarde van typeCode MOET 'SND' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
